Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sip_state Struct Reference

`#include <siphash.h>`

## Data Fields
int | c
int | d
uint64_t | v [4]
uint8_t | buf [sizeof(uint64_t)]
uint8_t | buflen
uint8_t | msglen_byte

## Detailed Description

Definition at line 20 of file siphash.h.

## Field Documentation

uint8_t sip_state::buf[sizeof(uint64_t)]

Definition at line 24 of file siphash.h.

Referenced by int_sip_final(), int_sip_pad_final_block(), int_sip_post_update(), and int_sip_pre_update().

uint8_t sip_state::buflen

Definition at line 25 of file siphash.h.

Referenced by int_sip_pad_final_block(), int_sip_post_update(), int_sip_pre_update(), and sip_hash_init().

int sip_state::c

Definition at line 21 of file siphash.h.

Referenced by int_sip_update_block(), and sip_hash_init().

int sip_state::d

Definition at line 22 of file siphash.h.

Referenced by int_sip_final(), and sip_hash_init().

uint8_t sip_state::msglen_byte

Definition at line 26 of file siphash.h.

Referenced by int_sip_pad_final_block(), int_sip_update(), and sip_hash_init().

uint64_t sip_state::v[4]

Definition at line 23 of file siphash.h.

Referenced by int_sip_dump(), int_sip_final(), int_sip_init(), int_sip_round(), and int_sip_update_block().

The documentation for this struct was generated from the following file:

- siphash.h